Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1067313 - [abrt] splix: ~BandPlane(): rastertoqpdl killed by SIGSEGV
Summary: [abrt] splix: ~BandPlane(): rastertoqpdl killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: splix
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:91c6b7bcd3ee5854adbfe0dd064...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-20 08:07 UTC by Michal Nowak
Modified: 2015-06-29 15:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:19:56 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: cgroup (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: core_backtrace (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: dso_list (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: environ (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: exploitable (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: limits (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: maps (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: open_fds (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: proc_pid_status (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: var_log_messages (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details
File: Herodot.pdf (deleted)
2014-02-20 08:07 UTC, Michal Nowak
no flags Details

Description Michal Nowak 2014-02-20 08:07:01 UTC
Description of problem:
Printed page 1 from file Herodot.pdf (to attached).

Version-Release number of selected component:
splix-2.0.1-0.19.20130902svn.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        SCX-3200 184 newman Herodot.pdf 1 'TonerDensity=1 number-up=1 PageSize=A4 Resolution=600dpi InputSlot=Auto EconoMode=ON noJamRecovery Altitude=HIGH MediaType=NORMAL PowerSave=5 job-uuid=urn:uuid:154e8783-375a-3cdd-4e36-20d22ec2d84c media=iso_a4_210x297mm output-bin=face-down print-color-mode=monochrome print-quality=4 printer-resolution=600x600dpi job-originating-host-name=localhost time-at-creation=1392883051 time-at-processing=1392883051'
crash_function: ~BandPlane
executable:     /usr/lib/cups/filter/rastertoqpdl
kernel:         3.13.3-201.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            4

Truncated backtrace:
Thread no. 1 (5 frames)
 #2 ~BandPlane at src/bandplane.cpp:38
 #3 BandPlane::~BandPlane at src/bandplane.cpp:39
 #4 Band::~Band at src/band.cpp:61
 #20 Page::~Page at src/page.cpp:56
 #22 render at src/rendering.cpp:151

Comment 1 Michal Nowak 2014-02-20 08:07:09 UTC
Created attachment 865359 [details]
File: backtrace

Comment 2 Michal Nowak 2014-02-20 08:07:12 UTC
Created attachment 865360 [details]
File: cgroup

Comment 3 Michal Nowak 2014-02-20 08:07:15 UTC
Created attachment 865361 [details]
File: core_backtrace

Comment 4 Michal Nowak 2014-02-20 08:07:17 UTC
Created attachment 865362 [details]
File: dso_list

Comment 5 Michal Nowak 2014-02-20 08:07:19 UTC
Created attachment 865363 [details]
File: environ

Comment 6 Michal Nowak 2014-02-20 08:07:21 UTC
Created attachment 865364 [details]
File: exploitable

Comment 7 Michal Nowak 2014-02-20 08:07:23 UTC
Created attachment 865365 [details]
File: limits

Comment 8 Michal Nowak 2014-02-20 08:07:29 UTC
Created attachment 865366 [details]
File: maps

Comment 9 Michal Nowak 2014-02-20 08:07:31 UTC
Created attachment 865367 [details]
File: open_fds

Comment 10 Michal Nowak 2014-02-20 08:07:34 UTC
Created attachment 865368 [details]
File: proc_pid_status

Comment 11 Michal Nowak 2014-02-20 08:07:36 UTC
Created attachment 865369 [details]
File: var_log_messages

Comment 12 Michal Nowak 2014-02-20 08:07:42 UTC
Created attachment 865370 [details]
File: Herodot.pdf

Comment 13 Fedora End Of Life 2015-05-29 10:59:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 15:19:56 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.